Skip to main content
PATCH
/
authors
/
{id}
Update an author
curl --request PATCH \
  --url https://app.blogbowl.io/api/v1/authors/{id} \
  --header 'Content-Type: multipart/form-data' \
  --form 'first_name=<string>' \
  --form 'last_name=<string>' \
  --form 'position=<string>' \
  --form 'short_description=<string>' \
  --form 'long_description=<string>' \
  --form active=true \
  --form avatar_picture='@example-file' \
  --form og_image='@example-file'
{
  "id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "formatted_name": "<string>",
  "email": "<string>",
  "position": "<string>",
  "short_description": "<string>",
  "long_description": "<string>",
  "slug": "<string>",
  "active": true,
  "avatar": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

id
number
required

Author ID

Body

multipart/form-data
first_name
string

First name

last_name
string

Last name

position
string

Position

short_description
string

Short description

long_description
string

Long description

active
boolean

Author active flag

avatar_picture
file

Avatar image

og_image
file

Open Graph image

Response

200 - */*

Updated author

id
number
required

Author ID

first_name
string
required

First name

last_name
string
required

Last name

formatted_name
string
required

Formatted name

email
string
required

Author email

position
string
required

Author position

short_description
string
required

Short description

long_description
string
required

Long description

slug
string
required

Author slug

active
boolean
required

Author active flag

avatar
string
required

Avatar URL

created_at
string
required

Creation date

updated_at
string
required

Updated date